<?php
/******************************
* Name : SMF Resim Yukle Upload
* Version : 1.0
* Author : Sinan_ANDIRMAN
* Support : http://www.simplemachines.org
*******************************/

/*******************************************************************************

	This script can be used to add new settings into the database for use
	with SMF's $modSettings array.  It is meant to be run either from the
	package manager or directly by URL.

*******************************************************************************/

// Set the below to true to overwrite already existing settings with the defaults. (not recommended.)
$overwrite_old_settings = false;

// List settings here in the format: setting_key => default_value.  Escape any "s. (" => \")
$mod_settings = array(
	'Resimyukle_enable' => '1',
	'Resimyukle_permis' => '0',
	'Resimyukle_width' => '300',
	'Resimyukle_height' => '90',
	'Resimyukle_txtclr' => 'C0C0C0',
	'Resimyukle_uplfld' => '30',
);

/******************************************************************************/

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// No SSI.php and no SMF
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// Turn the array defined above into a string of MySQL data.
$string = '';
foreach ($mod_settings as $k => $v)
	$string .= '
			(\'' . $k . '\', \'' . $v . '\'),';

// Sorted out the array defined above - now insert the data!
if ($string != '')
	$result = db_query("
		" . ($overwrite_old_settings ? 'REPLACE' : 'INSERT IGNORE') . " INTO {$db_prefix}settings
			(variable, value)
		VALUES" . substr($string, 0, -1), __FILE__, __LINE__);

// If database include error
if ($result === false)
	echo '<b>Error:</b> Database modifications failed!';

?>